"{ Package: 'stx:goodies/monticello' }"

MCTestCase subclass:#MCOrganizationTest
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Monticello-Tests'
!


!MCOrganizationTest methodsFor:'as yet unclassified'!

testReordering
        |dec cats newCats |
        dec := MCOrganizationDefinition categories: #(A B C).
        cats := #(X Y B Z C A Q).
        newCats := dec reorderCategories: cats original: #(B C A).
        "/No need to reorganize cats"
        self assert: newCats asArray = cats"#(X Y A B C Z Q)".

    "Modified: / 11-09-2010 / 18:58:43 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

testReorderingWithNoCategoriesInVersion
	|dec cats newCats |
	dec := MCOrganizationDefinition categories: #().
	cats := #(X Y B Z C A Q).
	newCats := dec reorderCategories: cats original: #().
	self assert: newCats asArray = cats.
!

testReorderingWithRemovals
        |dec cats newCats |
        dec := MCOrganizationDefinition categories: #(A B C).
        cats := #(X Y B Z C A Q).
        newCats := dec reorderCategories: cats original: #(Y B C A Q).
        "/No need to reogranize cats"
        self assert: newCats asArray = newCats "#(X A B C Z)".

    "Modified: / 11-09-2010 / 18:59:09 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!MCOrganizationTest class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/goodies/monticello/MCOrganizationTest.st,v 1.1 2011-08-20 12:27:49 cg Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/stx/goodies/monticello/MCOrganizationTest.st,v 1.1 2011-08-20 12:27:49 cg Exp $'
!

version_SVN
    ^ 'Id: MCOrganizationTest.st 7 2010-09-12 07:18:55Z vranyj1 '
! !
