"{ Package: 'stx:goodies/monticello' }"

Object subclass:#MCPackageCache
	instanceVariableNames:'sorter fileNames'
	classVariableNames:''
	poolDictionaries:''
	category:'Monticello-Repositories'
!


!MCPackageCache class methodsFor:'initialization'!

new
    ^self basicNew initialize
! !

!MCPackageCache methodsFor:'as yet unclassified'!

initialize
	super initialize.
	sorter := MCVersionSorter new.
	fileNames := Dictionary new.
!

recordVersionInfo: aVersionInfo forFileNamed: aString
	Transcript cr; show: aString.
	fileNames at: aVersionInfo put: aString.
	sorter addVersionInfo: aVersionInfo
!

versionInfos
	^ sorter sortedVersionInfos 
! !

!MCPackageCache class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/goodies/monticello/MCPackageCache.st,v 1.3 2011-08-20 12:29:12 cg Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/stx/goodies/monticello/MCPackageCache.st,v 1.3 2011-08-20 12:29:12 cg Exp $'
!

version_SVN
    ^ 'Id: MCPackageCache.st 7 2010-09-12 07:18:55Z vranyj1 '
! !
